(* some convenient wrappers for the lexer/parser *)
(* $Id: frontend.ml,v 1.2 2000/03/08 00:39:11 selinger Exp $ *)

let parse_lexbuf lexbuf =
  try
    Parser.term Lexer.token lexbuf
  with
    Parsing.Parse_error ->
      let startchar=Lexing.lexeme_start lexbuf in
      let endchar=Lexing.lexeme_end lexbuf in
      raise (Exn.Syntax_error(startchar,endchar))

let parse_string s =    
  let lexbuf = Lexing.from_string s in
  parse_lexbuf lexbuf
 
let parse_channel c =
  let lexbuf = Lexing.from_channel c in
  parse_lexbuf lexbuf
